<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/**
 * read_body.php
 *
 * Copyright (c) 1999-2003 The SquirrelMail Project Team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * This file is used for reading the msgs array and displaying
 * the resulting emails in the right frame.
 *
 * $Id: read_body.php,v 1.5 2004/02/09 08:55:26 marco Exp $
 */

/* Path for SquirrelMail required files. */
define('SM_PATH','../');

function displayNavigationPrint($mailbox, $passed_id, $passed_ent_id,$message) {

    global $custom_css, $urlMailbox, $base_uri, $delimiter, $icon_folder, $draft_folder, $save_as_draft, $startMessage, $passed_ent_id, $passed_id, $show_num;

    echo '<table border=0 id="tbl" align="left" class="border" valign="top" width="100%" height="100%" cellspacing="0" cellpadding="0">';
	echo '<tr>';
	    echo '<td align="left" height="100%" class="altaltnav" valign="top">';
		echo '<table border=0 valign="top" height="100%" align="left" cellspacing="0" cellpadding="0">';
		    echo '<tr height="100%">';
			if (!$passed_ent_id) {
			    echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="MsgAction(\'reply\');">';
				if ($icon_folder) {
				    echo '<img src="'.$base_uri.'images/'.$custom_css.'/mail_reply.gif" border=0>';
				    echo '<br>';
				}
				echo codeHTML(_("Reply"));
			    echo '</td>'."\n";
			    echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="MsgAction(\'forward\');">';
				if ($icon_folder) {
				    echo '<img src="'.$base_uri.'images/'.$custom_css.'/mail_forward.gif" border=0>';
				    echo '<br>';
				}
				echo codeHTML(_("Forward"));
			    echo '</td>'."\n";
		    	    if (($mailbox == $draft_folder) && ($save_as_draft)) {
				echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="MsgAction(\'draft\');">';
				    if ($icon_folder) {
					echo '<img src="'.$base_uri.'images/'.$custom_css.'/resume_draft.gif" border=0>';
					echo '<br>';
				    }
				    echo codeHTML(_("Resume Draft"));
				echo '</td>'."\n";
			    } else if (handleAsSent($mailbox)) {
				echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="MsgAction(\'edit_as_new\');">';
				    if ($icon_folder) {
					echo '<img src="'.$base_uri.'images/'.$custom_css.'/edit_as_new.gif" border=0>';
					echo '<br>';
				    }
				    echo codeHTML(_("As New"));
				echo '</td>'."\n";
			    }			    
			    echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="MsgAction(\'reply_all\');">';
				if ($icon_folder) {
				    echo '<img src="'.$base_uri.'images/'.$custom_css.'/mail_replyall.gif" border=0>';
				    echo '<br>';
				}
				echo codeHTML(_("Reply All"));
			    echo '</td>'."\n";
			    echo '<td align="center" width="1px" class="navseparator"></td>';
			}
			echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="PrintPopup();">';
			    if ($icon_folder) {
				echo '<img src="'.$base_uri.'images/'.$custom_css.'/print.gif" border=0>';
				echo '<br>';
			    }
			    echo codeHTML(_("Print"));
			echo '</td>'."\n";
			if (isset($show_html_default) && $show_html_default == 1) {
			    $ent_ar = $message->findDisplayEntity(array());
			} else {
			    $ent_ar = $message->findDisplayEntity(array(), array('text/plain'));
			}
			if ($message->getAttachments($ent_ar)) {
			    echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="parent.opener.new_win_overlook(\'attachment\',\''.$base_uri.'src/list_attachment.php?mailbox='.$urlMailbox.'&passed_id='.$passed_id.'&passed_ent_id='.$passed_ent_id.'\',450,150,1,300,300);">';
				if ($icon_folder) {
				    echo '<img src="'.$base_uri.'images/'.$custom_css.'/big-attach.gif" border=0>';
				    echo '<br>';
				}
				echo codeHTML(_("Attachments"));
			    echo '</td>'."\n";
			}
			do_hook('nav_friendly_top');
			if (!$passed_ent_id) {
			    echo '<td nowrap=1 class="altnav" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="parent.opener.message_id_selected=0; parent.opener.reload_left_from_right=1; overlook_Action(\'delete\');">';
				if ($icon_folder) {
				    echo '<img src="'.$base_uri.'images/'.$custom_css.'/delete.gif" border=0>';
				    echo '<br>';
				}
				echo codeHTML(_("Delete"));
			    echo '</td>'."\n";
			}
		    echo "</tr>\n";
		echo  "</table>\n\n";
	    echo '</td>'."\n";		
	    echo '<td align="right" height="100%" class="altaltnav" valign="top">';
		echo '<table border=0 height="100%" valign="top" align="right" cellspacing="0" cellpadding="0">';
		    echo '<tr height="100%">';
		        echo '<td nowrap=1 class="altnav" valign="middle" height="100%" align="center" onmouseover="this.className=\'navclicked\'" onmouseout="this.className=\'altnav\'" width="70" onclick="parent.close()">';
			    if ($icon_folder) {
				echo '<img src="'.$base_uri.'images/'.$custom_css.'/logoff.gif" border=0>';
				echo '<br>';
			    }
			    echo codeHTML(_("Close"));
			echo '</td>'."\n";		
		    echo "</tr>\n";
		echo  "</table>\n\n";
	    echo '</td>'."\n";		
	echo "</tr>\n";
    echo  "</table>\n\n";
}

?>
