<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/
/**
 * keyring_main_chunk.php
 *
 * Included by keyring to show first previous next last interface
 * in keyring_main.php
 * 
 *
 * Copyright (c) 1999-2003 The SquirrelMail development team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * Copyright (c) 2002-2003 Braverock Ventures
 *
 * $Id: keyring_main_chunk.php,v 1.5 2003/10/30 20:19:57 ke Exp $
 *
 */

global $base_uri;

//Showing 
echo '<font size=-1>' . codeHTML(_("Showing")) . ' ';
//# start count
if (count($keymap) == 0) { echo codeHTML("0"); } else { echo codeHTML((($pos * $chunkSize) + 1)); } 
// through
echo codeHTML('-');
// end count
echo codeHTML((($pos * $chunkSize) + count($keymap))); 
// of total number
echo ' ' . codeHTML(_("of")) . ' ' . codeHTML(($ring->numKeys()));

if ($pos > 1) {
  echo "| <a class='gpg' href='${base_uri}plugins/gpg/modules/keyring_main.php?pos=0&$thru'>" . codeHTML(_("First")) . "</a> ";
}
else {
  echo "| <font color='#dcdcdc'>" . codeHTML(_("First")) . "</font> ";
}

if (array_key_exists($pos - 1, $chunkMap)) {
  echo "| <a class='gpg' href='${base_uri}plugins/gpg/modules/keyring_main.php?pos=" . urlencode($pos - 1) . "&$thru'>" . codeHTML(_("Previous")) . "</a> ";
}
else {
  echo "| <font color='#dcdcdc'>" . codeHTML(_("Previous")) . "</font> ";
}

if (array_key_exists($pos + 1, $chunkMap)) {
  echo "| <a class='gpg' href='${base_uri}plugins/gpg/modules/keyring_main.php?pos=" . urlencode($pos + 1) . "&$thru'>" . codeHTML(_("Next")) . "</a> ";
}
else {
  echo "| <font color='#dcdcdc'>" . codeHTML(_("Next")) . "</font> ";
}

if (array_key_exists($pos + 2, $chunkMap)) {
  echo "| <a class='gpg' href='${base_uri}plugins/gpg/modules/keyring_main.php?pos=" . urlencode(count($chunkMap) - 1) . "&$thru'>". codeHTML(_("Last")) . "</a> ";
}
else {
  echo "| <font color='#dcdcdc'>" . codeHTML(_("Last")) . "</font> ";
}

echo "</font>\n";
?>
