<?php /* $Id: db_mysql.class.php,v 1.1 2004/06/09 09:00:36 marco Exp $ */

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/*
	Database abstract layer
	-----------------------
	POSTGRESQL VERSION
	-----------------------
	A generic database layer providing a set of low to middle level functions
	originally written for WEBO project, see webo source for "real life" usages
*/

if (!defined('SM_PATH')) { define('SM_PATH','../'); }

class db_mysql {
	var $connection = null;
	var $results = null;
	//var $AppUI = null;
	var $log_query = true;
	var $logged_queries = "";

	function db_mysql(){
	    global $addrbook_dsn;
	    $cfg = array();
	    preg_match('/^(.+):\/\/(.+):(.+)\@(.+)\/(.+)$/',$addrbook_dsn, $match);
	    $cfg['dbhost_mysql'] = $match[4];
	    $cfg['dbname_mysql'] = $match[5];
	    $cfg['dbuser_mysql'] = $match[2];
	    $cfg['dbpass'] = $match[3];
	    $this->db_connect( $cfg['dbhost_mysql'], $cfg['dbname_mysql'],$cfg['dbuser_mysql'], $cfg['dbpass'], "", true );
	}

	function db_connect( $host='localhost', $dbname, $user='root', $passwd='', $port='3306', $persist=false ) {
	    function_exists( 'mysql_connect' )
		or  die( 'FATAL ERROR: MySQL support not avaiable.  Please check your configuration.' );
	
	    if ($persist) {
		$this->connection = &  mysql_pconnect( "$host:$port", $user, $passwd )
		    or die( 'FATAL ERROR: Connection to database server failed' );
	    } else {
		$this->connection = &  mysql_connect( "$host:$port", $user, $passwd )
		    or die( 'FATAL ERROR: Connection to database server failed' );
	    }
	
	    if ($dbname) {
		mysql_select_db( $dbname, $this->connection) 
		    or die( "FATAL ERROR: Database not found ($dbname)" );
	    } else {
		die( "FATAL ERROR: Database name not supplied<br />(connection to database server succesful)" );
	    }
	    $this->logged_queries .= "connection established !<br>";
	}

	function db_error() {
	    return mysql_error($this->connection);
	}
	
	function db_query( $sql ) {
	    if($this->log_query){
		$this->logged_queries .= "$sql<br>";
	    }
		
	    $this->results =  mysql_query($sql,$this->connection  );
	    if ($this->results ) { 
		return $this->results; 
	    }
	    return false;
	}
	
	function db_free_result( ) {
		mysql_free_result( $this->results );
		unset($this->results);
		return true;
	}
	
	function db_num_rows(  ) {
		return mysql_num_rows($this->results);
	}
	
	function db_fetch_row( ) {
		return mysql_fetch_row( $this->results );
	}
	
	function db_fetch_assoc( ) {
		return mysql_fetch_assoc( $this->results);
	}
	
	function db_fetch_array(   ) {
		return mysql_fetch_array( $this->results);
	}
	
	function db_show_tables($name=null,$like=0) {
//	    	return mysql_list_tables("nome del database");
		$this->AppUI->setMsg("db_mysql.class.php: db_show_table not implemented!"); 
	}
	
	function db_fetch_object(  ) {
		return mysql_fetch_object( $this->results );
	}
	
	function db_escape( $str ) {
		return mysql_escape_string( $str );
	}
	
}
?>