// ATTENZIONE: questa funzione deve essere caricata da ogni finestra
// che deve aprire delle finestre figlie. Altrimenti le finestre
// saranno figlie della finestra che contiene questa funzione.
//
// TODO:
// Se si vuole gestire tutte le relazioni tra le finestre bisognerebbe:
// - inserire questa funzione solo sulla finestra principale;
// - creare nella finestra principale una variabile per ogni finestra che si puo' aprire;
// - all'apertura della finestra inserire l'oggetto nella variabile corrispondente;
// - in base agli oggetti finestre presenti nella finestra principale e' possibile
//   effettuare relazioni tra loro ricordandosi che tutte le finestre aperte
//   sono direttamente figlie della finestra principale.
//
// es: se voglio richiamare una variabile send_to della form compose della pagina
//     wincompose da una finestra di terzo livello (addressbook_popup) che sembra 
//     figlia di wincompose devo scrivere:
//     parent.opener.wincompose.document.compose.send_to.value  
//
// In questo modo risulta possibile chiudere tutte le finestre aperte dall'applicazione 
// all'uscita dal programma.
function new_win_overlook(name_window,comp_uri,v_width,v_height,scroll,pos_x,pos_y,always) {
    if (!pos_x)             { pos_x = 0; }
    if (!pos_y)             { pos_y = 0; }
    if (!scroll)    { scroll = "no"; } else { scroll = "yes"; }
    if (!name_window)       { name_window = "_blank"; }
    if (!v_width)   { v_width = 640; }
    if (!v_height)  { v_height = 480; }
    if (navigator.appName == "Netscape") {
        pos= "screenX=" + pos_x + ",screenY=" + pos_y;
    } else {
        pos= "left=" + pos_x + ",top=" + pos_y;
    }
    option ="width=" + v_width + ",height=" + v_height + ",scrollbars=" + scroll + ",resizable=yes," + pos;
    if (always) { option = option + "alwaysRaised=yes"; }
    newwin =  window.open(comp_uri, name_window, option);
    return newwin;
}
