<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/
/**
 * gpg_pop_init.php
 * -----------
 * GPG popup window base file
 *
 * Copyright (c) 1999-2003 The SquirrelMail development team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * Copyright (c) 2002-2003 Braverock Ventures
 *
 * @package gpg
 *
 * $Id: gpg_pop_init.php,v 1.9 2003/11/17 22:28:17 ke Exp $
 *
 */
if (!defined (SM_PATH)){
    if (file_exists('./gpg_functions.php')){
        define (SM_PATH , '../../');
    } elseif (file_exists('../gpg_functions.php')){
        define (SM_PATH , '../../../');
    } elseif (file_exists('../plugins/gpg/gpg_functions.php')){
        define (SM_PATH , '../');
    } else echo "unable to define SM_PATH in gpg_pop_init.php, exiting abnormally";
}

require_once(SM_PATH.'functions/global.php');
require_once(SM_PATH.'plugins/gpg/gpg_functions.php');
require_once(SM_PATH.'plugins/gpg/gpg_pop_functions.php');

/**
 * $MOD is the name of the module to invoke.
 * If $MOD is undefined check for security
 * breaches.
 */

sqgetGlobalVar('MOD',$MOD);

if (!isset($MOD) || !$MOD){ gpg_ckMOD($MOD); }

displayHtmlHeader($title,'');

echo '<body>';

if ($scriptsrc!=''){
    echo "<script type=\"text/javascript\" src=\"$scriptsrc\"></script>\n";
    // if no_signing_passwd is set onload()
}

echo '<table class="border" valign="top" width="100%" height="100%" cellpadding="2" cellspacing="0" border="0">';

echo '<tr>
        <td align="left" width="100%" valign="top">
            <table width="100%" height="100%" cellpadding="0" valign="top" class="border" cellspacing="2" border="0">';

require_once("modules/$MOD.mod");

echo '<tr>
        <td align="left" width="100%" class="nav">
                    &nbsp;
                </td>
            </tr>';
echo '</table></tr><td></table>';
echo  '</body></html>';

/************************************************************/
/*
 * $Log: gpg_pop_init.php,v $
 * Revision 1.9  2003/11/17 22:28:17  ke
 * -uploading working gpg_pop_init.php
 *
 * Revision 1.8  2003/11/04 21:04:03  ke
 * -moved body out of this file into passpop.mod
 *
 * Revision 1.7  2003/11/03 18:42:48  ke
 * -moved closed parenthesis to allow the onload variable to be set even though scriptsrc isn't
 * -this fixes the passphrase popup focus problem
 *
 * Revision 1.6  2003/11/03 17:33:38  ke
 * -changed check on scriptsrc to != instead of !==, so it will fail when scriptsrc==''
 *
 * Revision 1.5  2003/11/03 15:52:15  ke
 * -Removed titling code from here, added to passpop.mod
 *
 * Revision 1.4  2003/11/01 22:01:26  brian
 * infrastructure changes to support removal of MakePage functions
 *
 * Revision 1.3  2003/10/17 13:12:05  brian
 * corrected phpdoc warnings after updates
 *
 * Revision 1.2  2003/10/17 12:50:20  brian
 * added package and author tags
 *
 * Revision 1.1  2003/03/31 14:02:47  brian
 * Initial Revision
 * Created general file for use by all pop-up windows in the plugin.
 * @todo modify signing and decryption features to use the general init file.
 */
?>
